Package opennlp.tools.doccat

## Class DoccatFactory

- java.lang.Object
- - opennlp.tools.util.BaseToolFactory
  - - opennlp.tools.doccat.DoccatFactory

-     public class DoccatFactory
      extends BaseToolFactory

  The factory that provides Doccat default implementations and resources.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DoccatFactory()` | Instantiates a `DoccatFactory` that provides the default implementation of the resources.
    `DoccatFactory​(FeatureGenerator[] featureGenerators)` | Instantiates a `DoccatFactory` that provides the default implementation of the resources.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static DoccatFactory` | `create​(String subclassName, FeatureGenerator[] featureGenerators)` | Factory method the framework uses create a new `DoccatFactory`.
    `Map<String,​String>` | `createManifestEntries()` |
    `FeatureGenerator[]` | `getFeatureGenerators()` |
    `void` | `setFeatureGenerators​(FeatureGenerator[] featureGenerators)` |
    `void` | `validateArtifactMap()` | Validates the parsed artifacts.

    - ### Methods inherited from class opennlp.tools.util.BaseToolFactory

      `create, create, createArtifactMap, createArtifactSerializersMap`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DoccatFactory

          public DoccatFactory()

      Instantiates a `DoccatFactory` that provides the default implementation of the resources.

    - #### DoccatFactory

          public DoccatFactory​(FeatureGenerator[] featureGenerators)

      Instantiates a `DoccatFactory` that provides the default implementation of the resources.
      Parameters:
        `featureGenerators` - The `featureGenerators` to use.

  - ### Method Detail

    - #### createManifestEntries

          public Map<String,​String> createManifestEntries()

      Overrides:
        `createManifestEntries` in class `BaseToolFactory`
      Returns:
        Retrieves the manifest entries to be added to the model manifest.

    - #### validateArtifactMap

          public void validateArtifactMap()
                                   throws InvalidFormatException

      Description copied from class: `BaseToolFactory`
      Validates the parsed artifacts.

      Note: Subclasses should generally invoke `super.validateArtifactMap` at the beginning of this method.

      Specified by:
        `validateArtifactMap` in class `BaseToolFactory`
      Throws:
        `InvalidFormatException` - Thrown if validation found invalid states.

    - #### create

          public static DoccatFactory create​(String subclassName,
                                             FeatureGenerator[] featureGenerators)
                                      throws InvalidFormatException

      Factory method the framework uses create a new `DoccatFactory`.
      Parameters:
        `subclassName` - The name of the class implementing the `DoccatFactory`.
        `featureGenerators` - The `featureGenerators` to use.
      Returns:
        A valid `DoccatFactory` instance.
      Throws:
        `InvalidFormatException` - Thrown if the `ExtensionLoader` mechanism failed to create the factory associated with `subclassName`.

    - #### getFeatureGenerators

          public FeatureGenerator[] getFeatureGenerators()

      Returns:
        Retrieves the `generators` used.

    - #### setFeatureGenerators

          public void setFeatureGenerators​(FeatureGenerator[] featureGenerators)

      Parameters:
        `featureGenerators` - The `featureGenerators` to use.